package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneInfo;
import com.ruoyi.system.domain.other.WsStoneInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneInfoMapper {
    long countByExample(WsStoneInfoExample example);

    int deleteByExample(WsStoneInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneInfo record);

    int insertSelective(WsStoneInfo record);

    List<WsStoneInfo> selectByExampleWithBLOBs(WsStoneInfoExample example);

    List<WsStoneInfo> selectByExample(WsStoneInfoExample example);

    WsStoneInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneInfo record, @Param("example") WsStoneInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") WsStoneInfo record, @Param("example") WsStoneInfoExample example);

    int updateByExample(@Param("record") WsStoneInfo record, @Param("example") WsStoneInfoExample example);

    int updateByPrimaryKeySelective(WsStoneInfo record);

    int updateByPrimaryKeyWithBLOBs(WsStoneInfo record);

    int updateByPrimaryKey(WsStoneInfo record);
}
